/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<formatter.h>)
#  include <formatter.h>
#endif
#if __has_include(<locationquerymodel.h>)
#  include <locationquerymodel.h>
#endif
#if __has_include(<temperaturechartdata.h>)
#  include <temperaturechartdata.h>
#endif
#if __has_include(<weatherbackground.h>)
#  include <weatherbackground.h>
#endif
#if __has_include(<weatherlocation.h>)
#  include <weatherlocation.h>
#endif
#if __has_include(<weatherlocationlistmodel.h>)
#  include <weatherlocationlistmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_kweather()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Formatter>("org.kde.kweather", 1);
    qmlRegisterTypesAndRevisions<LocationQueryModel>("org.kde.kweather", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QQuickFramebufferObject *>().id();
    qmlRegisterTypesAndRevisions<TemperatureChartData>("org.kde.kweather", 1);
    qmlRegisterTypesAndRevisions<WeatherBackgroundRenderer>("org.kde.kweather", 1);
    qmlRegisterAnonymousType<QQuickItem, 254>("org.kde.kweather", 1);
    qmlRegisterTypesAndRevisions<WeatherLocation>("org.kde.kweather", 1);
    qmlRegisterTypesAndRevisions<WeatherLocationListModel>("org.kde.kweather", 1);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.kweather", 1, 0);
}

static const QQmlModuleRegistration orgkdekweatherRegistration("org.kde.kweather", qml_register_types_org_kde_kweather);
